Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.querykeys
Class ForeignReferenceQueryKey

`java.lang.Object
oracle.toplink.querykeys.QueryKey
oracle.toplink.querykeys.ForeignReferenceQueryKey`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  DirectCollectionQueryKey, ManyToManyQueryKey, OneToManyQueryKey, OneToOneQueryKey

public class ForeignReferenceQueryKey
extends QueryKey

Purpose: Define an alias to a foreign object.

Responsibilities:

- Define the reference class of the foreign object.

See Also:
  Serialized Form

Constructor Summary
`ForeignReferenceQueryKey()`

Method Summary
`Expression` | `getJoinCriteria()` PUBLIC: Return the join expression for the relationship defined by the query key.
`java.lang.Class` | `getReferenceClass()` PUBLIC: Return the reference class of the relationship.
`void` | `setJoinCriteria(Expression joinCriteria)` PUBLIC: Set the join expression for the relationship defined by the query key.
`void` | `setReferenceClass(java.lang.Class referenceClass)` PUBLIC: Set the reference class of the relationship.

Methods inherited from class oracle.toplink.querykeys.QueryKey
`getName, isCollectionQueryKey, isDirectCollectionQueryKey, isDirectQueryKey, isManyToManyQueryKey, isOneToManyQueryKey, isOneToOneQueryKey, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ForeignReferenceQueryKey

    public ForeignReferenceQueryKey()

Method Detail

### getJoinCriteria

    public Expression getJoinCriteria()

  PUBLIC: Return the join expression for the relationship defined by the query key.

### getReferenceClass

    public java.lang.Class getReferenceClass()

  PUBLIC: Return the reference class of the relationship.

### setJoinCriteria

    public void setJoinCriteria(Expression joinCriteria)

  PUBLIC: Set the join expression for the relationship defined by the query key.

  Example:

  > builder.getField("ADDRESS.ADDRESS_ID").equal(builder.getParameter("EMPLOYEE.ADDR_ID");

### setReferenceClass

    public void setReferenceClass(java.lang.Class referenceClass)

  PUBLIC: Set the reference class of the relationship. This is not required for direct collection query keys.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD